Subject: RE: COPS for UMTS

From: "Louis-Nicolas Hamer" <[email-masked]>
Date: Mon, 20 Aug 2001 11:20:53 -0400

Apostolis,
 
There is no COPS-UMTS draft effort in the IETF. I don't beleive the IETF
should define a UMTS specific
COPS client.

cheers,

Louis-Nicolas Hamer                         

-----Original Message-----
From: Salkintzis Apostolis-Y1026C [mailto:[email-masked]]
Sent: Monday, August 20, 2001 10:51 AM
To: [email-masked]
Subject: COPS for UMTS

Hi all,
 
I was looking for a COPS client for UMTS and I'm wondering if there's
currently a draft under way. Anyone knows?
 
Thank you,
Apostolis
---

---

From: "Muhammad Jaseemuddin" <[email-masked]>
Date: Mon, 20 Aug 2001 14:16:39 -0400

I concur with Louis. The PDP context signaling is UMTS specific, its not an
IETF signaling protocol, hence IETF cannot standardize any such client type.

- Muhammad Jaseemuddin

> From:	Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
> Sent:	Monday, August 20, 2001 11:21 AM
> To:	'Salkintzis Apostolis-Y1026C'; [email-masked]
> Subject:	RE: COPS for UMTS
> 
> Apostolis,
>  
> 	I was looking for a COPS client for UMTS and I'm wondering if
> there's currently a draft under way. Anyone knows?
> 	 
> 	Thank you,
> 	Apostolis
> 	---
>

---

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Mon, 20 Aug 2001 20:02:54 +0100

Is there anything from GTP or 3GPP specific passed over the COPS based
interface? is the problem solved by this
limited to UMTS, or driven by broader service requirements? Would it make
sense to solve
this problem once for all access technologies or are there technology
dependent issues
addressed by this? Is it a decision outsourcing problem or a provisioning
problem?

alessio

-----Original Message-----
From: Muhammad Jaseemuddin [mailto:[email-masked]]
Sent: 20 August 2001 19:17
To: Louis-Nicolas Hamer; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

- Muhammad Jaseemuddin 

	-----Original Message----- 
From:   Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
Sent:   Monday, August 20, 2001 11:21 AM 
To:     'Salkintzis Apostolis-Y1026C'; [email-masked] 
Subject:        RE: COPS for UMTS 

	Apostolis, 

cheers,

	Louis-Nicolas Hamer                        

	-----Original Message-----
From: Salkintzis Apostolis-Y1026C [ mailto:[email-masked]
<mailto:[email-masked]> ]
Sent: Monday, August 20, 2001 10:51 AM
To: [email-masked]
Subject: COPS for UMTS

Hi all, 

Thank you, 
Apostolis 
---

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 20 Aug 2001 21:09:50 +0200

So can someone explain to me what the COPS-UMTS-Client Type is that is being 
discussed in 3GPP ? May I assume they are aware that they must follow IANA
guidelines to obtain assignments for such Client Types?

Bert 

-----Original Message-----
From: Muhammad Jaseemuddin [mailto:[email-masked]]
Sent: maandag 20 augustus 2001 20:17
To: Louis-Nicolas Hamer; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

I concur with Louis. The PDP context signaling is UMTS specific, its not an IETF signaling protocol, hence IETF cannot standardize any such client type.

- Muhammad Jaseemuddin 

	-----Original Message----- 
From:   Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
Sent:   Monday, August 20, 2001 11:21 AM 
To:     'Salkintzis Apostolis-Y1026C'; [email-masked] 
Subject:        RE: COPS for UMTS 

	Apostolis, 
  
There is no COPS-UMTS draft effort in the IETF. I don't beleive the IETF should define a UMTS specific 
COPS client. 

cheers,

	Louis-Nicolas Hamer                        

	-----Original Message-----
From: Salkintzis Apostolis-Y1026C [ mailto:[email-masked] <mailto:[email-masked]> ]
Sent: Monday, August 20, 2001 10:51 AM
To: [email-masked]
Subject: COPS for UMTS

Hi all, 
  
I was looking for a COPS client for UMTS and I'm wondering if there's currently a draft under way. Anyone knows? 
  
Thank you, 
Apostolis 
---

---

From: "Louis-Nicolas Hamer" <[email-masked]>
Date: Mon, 20 Aug 2001 15:13:40 -0400

Alessio,
 
All very good questions we will have to answer before we can move forward.
See below for comments.

Louis-Nicolas 
 -----Original Message-----
From: Casati, Alessio (Alessio) [mailto:[email-masked]]
Sent: Monday, August 20, 2001 3:03 PM
To: Jaseemuddin, Muhammad [WDLN2:AN33:EXCH]; Hamer, Louis-Nicolas
[WDLN2:AN22:EXCH]; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

Is there anything from GTP or 3GPP specific passed over the COPS based
interface? 
[Louis-Nicolas Hamer] We must first identify the requirements. 3GPP CN3 WG
will be tackling this soon.
 
 is the problem solved by this
limited to UMTS, or driven by broader service requirements? Would it make
sense to solve
this problem once for all access technologies or are there technology
dependent issues
addressed by this?
[Louis-Nicolas Hamer] I agree. I'd hate to have to define a new solution for
every access technology. If we can come up with a broader solution, that
would be great. But again, more detailed analysis is needed before we can
make that call.
 
  Is it a decision outsourcing problem or a provisioning problem?
[Louis-Nicolas Hamer] Outsourcing problem. 

alessio

-----Original Message-----
From: Muhammad Jaseemuddin [mailto:[email-masked]]
Sent: 20 August 2001 19:17
To: Louis-Nicolas Hamer; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

- Muhammad Jaseemuddin 

	-----Original Message----- 
From:   Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
Sent:   Monday, August 20, 2001 11:21 AM 
To:     'Salkintzis Apostolis-Y1026C'; [email-masked] 
Subject:        RE: COPS for UMTS 

	Apostolis, 

cheers,

	Louis-Nicolas Hamer                        

	-----Original Message-----

Hi all, 

Thank you, 
Apostolis 
---

---

From: "Louis-Nicolas Hamer" <[email-masked]>
Date: Mon, 20 Aug 2001 15:22:57 -0400

Bert,
 
Please consult www.3gpp.org <http://www.3gpp.org> . The details are in
specification TS23.207. Basically, 3GPP has decided to use COPS for the
interface
between the PEP located in the GGSN (edge router) and the PCF (PDP). 
 
That's why we came up with: " COPS for UTMS" for the time being. More work
is to be done to clearly define the requirements before
we can move forward. 3GPP is still in the early stages for this work...IANA
is still a distant worry right now ;-)
 
L-N

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Monday, August 20, 2001 3:10 PM
To: Jaseemuddin, Muhammad [WDLN2:AN33:EXCH]; Hamer, Louis-Nicolas

Bert 

-----Original Message-----
From: Muhammad Jaseemuddin [mailto:[email-masked]]
Sent: maandag 20 augustus 2001 20:17
To: Louis-Nicolas Hamer; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

- Muhammad Jaseemuddin 

	-----Original Message----- 
From:   Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
Sent:   Monday, August 20, 2001 11:21 AM 
To:     'Salkintzis Apostolis-Y1026C'; [email-masked] 
Subject:        RE: COPS for UMTS 

	Apostolis, 

cheers,

	Louis-Nicolas Hamer                        

	-----Original Message-----

Hi all, 

Thank you, 
Apostolis 
---

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 20 Aug 2001 21:34:24 +0200

I have seen that document. From that, it is not clear to me if 
- Your are gonna do just COPS, which I think means no PIB
- You are also gonna do COPS-PR, which I think means a PIB
 
There is talk about using both RSVP and Diffserv for end-to-end QoS
so when I see Diffserv, then I suspect COPS-PR, but that is not clear.
 
Also... I thought that there was no final decision yet that COPS was
going to be the interface... the doc has not yet been approved, has it?
Sorry for not understanding the details of the process in 3GPP.

Bert 

-----Original Message-----
From: Louis-Nicolas Hamer [mailto:[email-masked]]
Sent: maandag 20 augustus 2001 21:23
To: 'Wijnen, Bert (Bert)'; Muhammad Jaseemuddin; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

Bert,
 
Please consult www.3gpp.org <http://www.3gpp.org> . The details are in specification TS23.207. Basically, 3GPP has decided to use COPS for the interface
between the PEP located in the GGSN (edge router) and the PCF (PDP). 
 
That's why we came up with: " COPS for UTMS" for the time being. More work is to be done to clearly define the requirements before
we can move forward. 3GPP is still in the early stages for this work...IANA is still a distant worry right now ;-)
 
L-N

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Monday, August 20, 2001 3:10 PM
To: Jaseemuddin, Muhammad [WDLN2:AN33:EXCH]; Hamer, Louis-Nicolas [WDLN2:AN22:EXCH]; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

Bert 

-----Original Message-----
From: Muhammad Jaseemuddin [mailto:[email-masked]]
Sent: maandag 20 augustus 2001 20:17
To: Louis-Nicolas Hamer; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

- Muhammad Jaseemuddin 

	-----Original Message----- 
From:   Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] 
Sent:   Monday, August 20, 2001 11:21 AM 
To:     'Salkintzis Apostolis-Y1026C'; [email-masked] 
Subject:        RE: COPS for UMTS 

	Apostolis, 

cheers,

	Louis-Nicolas Hamer                        

	-----Original Message-----
From: Salkintzis Apostolis-Y1026C [ mailto:[email-masked] <mailto:[email-masked]> ]
Sent: Monday, August 20, 2001 10:51 AM
To: [email-masked]
Subject: COPS for UMTS

Hi all, 

Thank you, 
Apostolis 
---

---

From: "Kwok-Ho Chan" <[email-masked]>
Date: Mon, 20 Aug 2001 15:39:58 -0400

Right, This discussion has been jumping into conclusions that we will be
creating a UMTS COPS Client Type.  That is not the intend at all.
This mail thread was started that way, hence the title.
We are looking into the requirements before defining solutions.
-- Kwok --

At 03:22 PM 8/20/01 -0400, Hamer, Louis-Nicolas [WDLN2:AN22:EXCH] wrote:
>Bert,
>
>Please consult <http://www.3gpp.org>www.3gpp.org. The details are in 
>we can move forward. 3GPP is still in the early stages for this 
>work...IANA is still a distant worry right now ;-)
>
>L-N
>>I concur with Louis. The PDP context signaling is UMTS specific, its not 
>>an IETF signaling protocol, hence IETF cannot standardize any such client 
>>type.
>>- Muhammad Jaseemuddin
>>-----Original Message-----  From:   Hamer, Louis-Nicolas 
>>[WDLN2:AN22:EXCH]  Sent:   Monday, August 20, 2001 11:21 
>>AM  To:     'Salkintzis Apostolis-Y1026C'; 
>>[email-masked]  Subject:        RE: COPS for UMTS
>>
>>Apostolis,     There is no COPS-UMTS draft effort in the IETF. I don't 
>>beleive the IETF should define a UMTS specific  COPS 
>>client.        cheers, Louis-Nicolas Hamer
>>
>>
>>-----Original Message----- From: Salkintzis Apostolis-Y1026C 
>>[<mailto:[email-masked]>mailto:[email-masked]] Sent: Monday, 
>>August 20, 2001 10:51 AM To: [email-masked] Subject: COPS for UMTS
>>
>>Hi all,     I was looking for a COPS client for UMTS and I'm wondering if 
>>there's currently a draft under way. Anyone knows?     Thank 
>>you,  Apostolis  ---

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 23 Aug 2001 17:32:28 +0200

Thanks, that helps.
Pls make sure the document(s) (specifically T23.207) then do also reference RFC3084.
Probably it should also make clear that PIB work needs to be done in that case?

Bert 

-----Original Message-----
From: Louis-Nicolas Hamer [mailto:[email-masked]]
Sent: donderdag 23 augustus 2001 16:51
To: 'Wijnen, Bert (Bert)'
Cc: [email-masked]'
Subject: RE: COPS for UMTS

Bert,
 
You are right, nothing is final in 3GPP until the document is officially published.
But the current version of the document was approved in the main plenary meeting
and COPS is accepted with no dissidents as the "chosen" protocol.
 
Again, as for the details of the Go interface (based on COPS), I can't say much because it is still work in progress
and nothing is defined yet. 
 
But I think the general agreement is that COPS-PR may be used for pre-provisioning of general policies
and something else is needed on a per flow basis for admission control.
 
Hope this clarifies,

Louis-Nicolas Hamer                         

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Monday, August 20, 2001 3:34 PM
To: Hamer, Louis-Nicolas [WDLN2:AN22:EXCH]; Jaseemuddin, Muhammad [WDLN2:AN33:EXCH]; 'Salkintzis Apostolis-Y1026C'; [email-masked]
Subject: RE: COPS for UMTS

 

Bert

---

From: Salkintzis Apostolis-Y1026C <[email-masked]>
Date: Fri, 24 Aug 2001 16:01:33 +0300

My understanding aligns with Brian's statement below. The Go interface, as specified in 23.207, is used for "service-based local policy and QoS inter-working". Nothing is mentioned about provisioning.

In addition, 23.207 mentions that "Additional UMTS-specific information elements must be included in COPS messages to support the policy and QoS inter-working functions identified in Section 5.3.1. Consistent with the COPS framework, the Go interface is identified by a "client type" allocated for a UMTS COPS  client (GGSN)."

Therefore, it is implied that a new COPS client is expected to be used across Go interface.

Regards,
Apostolis
---

-----Original Message-----
From: Brian Williams [mailto:[email-masked]]
Sent: Friday, August 24, 2001 8:47 AM
To: Louis-Nicolas Hamer
Cc: 'Wijnen, Bert (Bert)'; [email-masked]'
Subject: Re: COPS for UMTS

> Bert,

<snip>

> and something else is needed on a per flow basis for admission control.

3G.PP is only specifying COPS usage for an admission control function 
for service based control. It is not specifying COPS for any other 
provisioning, (vendors can use whatever provisioning tools they wish for 
IP services).
/brian

> *Louis-Nicolas Hamer*                        
>     *From:* Wijnen, Bert (Bert) [mailto:[email-masked]]
>     *Sent:* Monday, August 20, 2001 3:34 PM
>     *To:* Hamer, Louis-Nicolas [WDLN2:AN22:EXCH]; Jaseemuddin, Muhammad
>     [WDLN2:AN33:EXCH]; 'Salkintzis Apostolis-Y1026C'; [email-masked]
>     *Subject:* RE: COPS for UMTS
>